clang-tools 10.0.0

Namespaces
HeadersTests.cpp File Reference
`#include "Headers.h"`
`#include "Compiler.h"`
`#include "TestFS.h"`
`#include "TestTU.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
`#include "llvm/Support/Path.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
Include dependency graph for HeadersTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ CDB

MockCompilationDatabase CDB
| protected

Definition at line 120 of file HeadersTests.cpp.

## ◆ FS

MockFSProvider FS
| protected

Definition at line 119 of file HeadersTests.cpp.

Referenced by clang::clangd::ClangdServer::addDocument(), clang::clangd::ClangdServer::applyTweak(), clang::clangd::ClangdServer::formatOnType(), clang::clangd::ClangdServer::signatureHelp(), and clang::clangd::TEST_F().

## ◆ IgnoreDiags

IgnoringDiagConsumer IgnoreDiags
| protected

Definition at line 124 of file HeadersTests.cpp.

## ◆ MainFile

std::string MainFile = testPath("main.cpp")
| protected

Definition at line 121 of file HeadersTests.cpp.

Referenced by clang::clangd::BackgroundIndex::blockUntilIdleForTest(), and clang::clangd::BackgroundIndex::boostRelated().

## ◆ SearchDirArg

std::string SearchDirArg = (llvm::Twine("-I") + Subdir).str()
| protected

Definition at line 123 of file HeadersTests.cpp.

## ◆ Subdir

std::string Subdir = testPath("sub")
| protected

Definition at line 122 of file HeadersTests.cpp.